//Reads input through the ADC, and transfers to PC terminal
// leer a través de una entrada del puerto ADC y transferir a un Terminal serial
#include "mbed.h"

// Asignación de variables
Serial pc(PA_2,PA_3,115200); //Variable (pc) para comunicación serial PA_2 y PA_3 
AnalogIn Ain(PB_0); // Variable (Ain) para Entrada Analógica en el puerto PB_0
 
float ADCdata; // Variable tipo flotante denominada ADCdata
 
int main()
{
    pc.printf("ADC Data Values... \n\r"); // Cadena de caracteres enviadas por el puerto serial
    while (1) {
        ADCdata=Ain; // Valores analógicos ingresados a la variable ADCdata por medio del PIN PB_0
        pc.printf("%f \n\r",ADCdata); //Dato enviado al puerto serial
        wait (0.5); // espera de (5 ms)
    }
}
